-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II 32-bit"
-- VERSION "Version 11.1 Build 173 11/01/2011 SJ Full Version"

-- DATE "04/14/2012 22:51:17"

-- 
-- Device: Altera EP2C70F896C6 Package FBGA896
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	projeto IS
    PORT (
	HEX0_DP : OUT std_logic;
	HEX0_D : OUT std_logic_vector(6 DOWNTO 0);
	LEDG : OUT std_logic_vector(1 DOWNTO 0);
	LEDR : OUT std_logic_vector(3 DOWNTO 0);
	KEY : IN std_logic_vector(3 DOWNTO 0);
	SW : IN std_logic_vector(2 DOWNTO 0)
	);
END projeto;

-- Design Ports Information
-- HEX0_DP	=>  Location: PIN_AF12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0_D[6]	=>  Location: PIN_AD12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0_D[5]	=>  Location: PIN_AD11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0_D[4]	=>  Location: PIN_AF10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0_D[3]	=>  Location: PIN_AD10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0_D[2]	=>  Location: PIN_AH9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0_D[1]	=>  Location: PIN_AF9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0_D[0]	=>  Location: PIN_AE8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDG[1]	=>  Location: PIN_W25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDG[0]	=>  Location: PIN_W27,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[3]	=>  Location: PIN_AJ4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[2]	=>  Location: PIN_AJ5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[1]	=>  Location: PIN_AK5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- LEDR[0]	=>  Location: PIN_AJ6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- KEY[3]	=>  Location: PIN_U29,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- SW[2]	=>  Location: PIN_AB25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- SW[1]	=>  Location: PIN_AB26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- SW[0]	=>  Location: PIN_AA23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- KEY[2]	=>  Location: PIN_U30,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- KEY[0]	=>  Location: PIN_T29,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- KEY[1]	=>  Location: PIN_T28,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF projeto IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_HEX0_DP : std_logic;
SIGNAL ww_HEX0_D : std_logic_vector(6 DOWNTO 0);
SIGNAL ww_LEDG : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_LEDR : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_KEY : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_SW : std_logic_vector(2 DOWNTO 0);
SIGNAL \inst1|seg[3]~13_combout\ : std_logic;
SIGNAL \inst2|pre_count[1]~2_combout\ : std_logic;
SIGNAL \inst2|pre_count[0]~4_combout\ : std_logic;
SIGNAL \inst2|pre_count[2]~3_combout\ : std_logic;
SIGNAL \inst2|pre_count[3]~0_combout\ : std_logic;
SIGNAL \inst2|pre_count[3]~1_combout\ : std_logic;
SIGNAL \inst1|seg~0_combout\ : std_logic;
SIGNAL \inst|inst11~0_combout\ : std_logic;
SIGNAL \inst1|seg[6]~1_combout\ : std_logic;
SIGNAL \inst8|inst16~0_combout\ : std_logic;
SIGNAL \inst1|seg~2_combout\ : std_logic;
SIGNAL \inst1|seg[6]~3_combout\ : std_logic;
SIGNAL \inst1|seg[6]~4_combout\ : std_logic;
SIGNAL \inst1|seg~8_combout\ : std_logic;
SIGNAL \inst1|seg[5]~7_combout\ : std_logic;
SIGNAL \inst1|seg~6_combout\ : std_logic;
SIGNAL \inst1|seg~5_combout\ : std_logic;
SIGNAL \inst1|seg[5]~9_combout\ : std_logic;
SIGNAL \inst1|seg~11_combout\ : std_logic;
SIGNAL \inst1|seg[4]~10_combout\ : std_logic;
SIGNAL \inst1|seg[4]~12_combout\ : std_logic;
SIGNAL \inst1|seg[3]~14_combout\ : std_logic;
SIGNAL \inst1|seg[3]~15_combout\ : std_logic;
SIGNAL \inst1|seg[3]~16_combout\ : std_logic;
SIGNAL \inst8|inst14~0_combout\ : std_logic;
SIGNAL \inst1|seg[2]~17_combout\ : std_logic;
SIGNAL \inst1|seg[2]~18_combout\ : std_logic;
SIGNAL \inst1|seg~19_combout\ : std_logic;
SIGNAL \inst1|seg[1]~20_combout\ : std_logic;
SIGNAL \inst1|seg[1]~21_combout\ : std_logic;
SIGNAL \inst1|seg[0]~22_combout\ : std_logic;
SIGNAL \inst|inst~0_combout\ : std_logic;
SIGNAL \inst7|inst16~combout\ : std_logic;
SIGNAL \inst7|inst15~combout\ : std_logic;
SIGNAL \inst7|inst14~combout\ : std_logic;
SIGNAL \inst7|inst13~combout\ : std_logic;
SIGNAL \KEY~combout\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \SW~combout\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \inst2|pre_count\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \ALT_INV_KEY~combout\ : std_logic_vector(1 DOWNTO 1);

BEGIN

HEX0_DP <= ww_HEX0_DP;
HEX0_D <= ww_HEX0_D;
LEDG <= ww_LEDG;
LEDR <= ww_LEDR;
ww_KEY <= KEY;
ww_SW <= SW;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_KEY~combout\(1) <= NOT \KEY~combout\(1);

-- Location: LCCOMB_X24_Y1_N4
\inst1|seg[3]~13\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[3]~13_combout\ = (\inst2|pre_count\(1)) # ((\inst2|pre_count\(3)) # (!\inst2|pre_count\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst2|pre_count\(1),
	datac => \inst2|pre_count\(3),
	datad => \inst2|pre_count\(2),
	combout => \inst1|seg[3]~13_combout\);

-- Location: PIN_T29,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\KEY[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_KEY(0),
	combout => \KEY~combout\(0));

-- Location: PIN_U29,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\KEY[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_KEY(3),
	combout => \KEY~combout\(3));

-- Location: PIN_U30,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\KEY[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_KEY(2),
	combout => \KEY~combout\(2));

-- Location: LCCOMB_X24_Y1_N10
\inst2|pre_count[1]~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|pre_count[1]~2_combout\ = \inst2|pre_count\(1) $ (((\inst2|pre_count\(0) & \KEY~combout\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(0),
	datac => \inst2|pre_count\(1),
	datad => \KEY~combout\(2),
	combout => \inst2|pre_count[1]~2_combout\);

-- Location: PIN_T28,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\KEY[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_KEY(1),
	combout => \KEY~combout\(1));

-- Location: LCFF_X24_Y1_N11
\inst2|pre_count[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \KEY~combout\(0),
	datain => \inst2|pre_count[1]~2_combout\,
	aclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|pre_count\(1));

-- Location: LCCOMB_X24_Y1_N0
\inst2|pre_count[0]~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|pre_count[0]~4_combout\ = \inst2|pre_count\(0) $ (\KEY~combout\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst2|pre_count\(0),
	datad => \KEY~combout\(2),
	combout => \inst2|pre_count[0]~4_combout\);

-- Location: LCFF_X24_Y1_N1
\inst2|pre_count[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \KEY~combout\(0),
	datain => \inst2|pre_count[0]~4_combout\,
	aclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|pre_count\(0));

-- Location: LCCOMB_X24_Y1_N20
\inst2|pre_count[2]~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|pre_count[2]~3_combout\ = \inst2|pre_count\(2) $ (((\KEY~combout\(2) & (\inst2|pre_count\(0) & \inst2|pre_count\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \KEY~combout\(2),
	datab => \inst2|pre_count\(0),
	datac => \inst2|pre_count\(2),
	datad => \inst2|pre_count\(1),
	combout => \inst2|pre_count[2]~3_combout\);

-- Location: LCFF_X24_Y1_N21
\inst2|pre_count[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \KEY~combout\(0),
	datain => \inst2|pre_count[2]~3_combout\,
	aclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|pre_count\(2));

-- Location: LCCOMB_X24_Y1_N6
\inst2|pre_count[3]~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|pre_count[3]~0_combout\ = (\inst2|pre_count\(1) & (\KEY~combout\(2) & (\inst2|pre_count\(2) & \inst2|pre_count\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(1),
	datab => \KEY~combout\(2),
	datac => \inst2|pre_count\(2),
	datad => \inst2|pre_count\(0),
	combout => \inst2|pre_count[3]~0_combout\);

-- Location: LCCOMB_X24_Y1_N24
\inst2|pre_count[3]~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|pre_count[3]~1_combout\ = \inst2|pre_count\(3) $ (\inst2|pre_count[3]~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst2|pre_count\(3),
	datad => \inst2|pre_count[3]~0_combout\,
	combout => \inst2|pre_count[3]~1_combout\);

-- Location: LCFF_X24_Y1_N25
\inst2|pre_count[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \KEY~combout\(0),
	datain => \inst2|pre_count[3]~1_combout\,
	aclr => \ALT_INV_KEY~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|pre_count\(3));

-- Location: LCCOMB_X24_Y1_N14
\inst1|seg~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg~0_combout\ = (!\inst2|pre_count\(1) & (!\inst2|pre_count\(3) & !\inst2|pre_count\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst2|pre_count\(1),
	datac => \inst2|pre_count\(3),
	datad => \inst2|pre_count\(2),
	combout => \inst1|seg~0_combout\);

-- Location: PIN_AA23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\SW[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_SW(0),
	combout => \SW~combout\(0));

-- Location: PIN_AB26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\SW[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_SW(1),
	combout => \SW~combout\(1));

-- Location: PIN_AB25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\SW[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_SW(2),
	combout => \SW~combout\(2));

-- Location: LCCOMB_X23_Y1_N16
\inst|inst11~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|inst11~0_combout\ = (!\SW~combout\(0) & (\SW~combout\(1) $ (\SW~combout\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \SW~combout\(0),
	datac => \SW~combout\(1),
	datad => \SW~combout\(2),
	combout => \inst|inst11~0_combout\);

-- Location: LCCOMB_X24_Y1_N2
\inst1|seg[6]~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[6]~1_combout\ = (\inst2|pre_count\(2) & ((\inst2|pre_count\(3)) # (\inst2|pre_count\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(3),
	datac => \inst2|pre_count\(0),
	datad => \inst2|pre_count\(2),
	combout => \inst1|seg[6]~1_combout\);

-- Location: LCCOMB_X23_Y1_N4
\inst8|inst16~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst8|inst16~0_combout\ = (\inst2|pre_count\(0) & (!\SW~combout\(0) & (\SW~combout\(1) $ (\SW~combout\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(1),
	datab => \inst2|pre_count\(0),
	datac => \SW~combout\(0),
	datad => \SW~combout\(2),
	combout => \inst8|inst16~0_combout\);

-- Location: LCCOMB_X23_Y1_N18
\inst1|seg~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg~2_combout\ = (\inst2|pre_count\(1) & (!\SW~combout\(0) & (\SW~combout\(1) $ (\SW~combout\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(1),
	datab => \inst2|pre_count\(1),
	datac => \SW~combout\(0),
	datad => \SW~combout\(2),
	combout => \inst1|seg~2_combout\);

-- Location: LCCOMB_X24_Y1_N28
\inst1|seg[6]~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[6]~3_combout\ = (\inst2|pre_count\(3) & (!\inst8|inst16~0_combout\ & ((!\inst1|seg~2_combout\)))) # (!\inst2|pre_count\(3) & (((\inst2|pre_count\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(3),
	datab => \inst8|inst16~0_combout\,
	datac => \inst2|pre_count\(1),
	datad => \inst1|seg~2_combout\,
	combout => \inst1|seg[6]~3_combout\);

-- Location: LCCOMB_X25_Y1_N16
\inst1|seg[6]~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[6]~4_combout\ = (\inst1|seg~0_combout\) # (((\inst1|seg[6]~1_combout\ & \inst1|seg[6]~3_combout\)) # (!\inst|inst11~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101110111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|seg~0_combout\,
	datab => \inst|inst11~0_combout\,
	datac => \inst1|seg[6]~1_combout\,
	datad => \inst1|seg[6]~3_combout\,
	combout => \inst1|seg[6]~4_combout\);

-- Location: LCCOMB_X23_Y1_N12
\inst1|seg~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg~8_combout\ = (\inst|inst11~0_combout\ & ((\inst2|pre_count\(3)) # (\inst2|pre_count\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(3),
	datac => \inst|inst11~0_combout\,
	datad => \inst2|pre_count\(2),
	combout => \inst1|seg~8_combout\);

-- Location: LCCOMB_X23_Y1_N26
\inst1|seg[5]~7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[5]~7_combout\ = (\inst|inst11~0_combout\ & ((\inst2|pre_count\(1)) # (\inst2|pre_count\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|inst11~0_combout\,
	datab => \inst2|pre_count\(1),
	datac => \inst2|pre_count\(0),
	combout => \inst1|seg[5]~7_combout\);

-- Location: LCCOMB_X23_Y1_N0
\inst1|seg~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg~6_combout\ = (\inst2|pre_count\(0) & (\inst1|seg~2_combout\ & ((!\inst2|pre_count\(3)) # (!\inst|inst11~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|inst11~0_combout\,
	datab => \inst2|pre_count\(0),
	datac => \inst2|pre_count\(3),
	datad => \inst1|seg~2_combout\,
	combout => \inst1|seg~6_combout\);

-- Location: LCCOMB_X24_Y1_N30
\inst1|seg~5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg~5_combout\ = (\inst8|inst14~0_combout\ & (\inst8|inst16~0_combout\ & (\inst2|pre_count\(3) & !\inst1|seg~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst8|inst14~0_combout\,
	datab => \inst8|inst16~0_combout\,
	datac => \inst2|pre_count\(3),
	datad => \inst1|seg~2_combout\,
	combout => \inst1|seg~5_combout\);

-- Location: LCCOMB_X23_Y1_N30
\inst1|seg[5]~9\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[5]~9_combout\ = (\inst1|seg~6_combout\) # ((\inst1|seg~5_combout\) # ((!\inst1|seg~8_combout\ & \inst1|seg[5]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|seg~8_combout\,
	datab => \inst1|seg[5]~7_combout\,
	datac => \inst1|seg~6_combout\,
	datad => \inst1|seg~5_combout\,
	combout => \inst1|seg[5]~9_combout\);

-- Location: LCCOMB_X24_Y1_N26
\inst1|seg~11\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg~11_combout\ = (\inst2|pre_count\(3)) # (((\inst2|pre_count\(1)) # (!\inst|inst11~0_combout\)) # (!\inst2|pre_count\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(3),
	datab => \inst2|pre_count\(2),
	datac => \inst2|pre_count\(1),
	datad => \inst|inst11~0_combout\,
	combout => \inst1|seg~11_combout\);

-- Location: LCCOMB_X24_Y1_N8
\inst1|seg[4]~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[4]~10_combout\ = (((!\inst2|pre_count\(2) & !\inst2|pre_count\(1))) # (!\inst|inst11~0_combout\)) # (!\inst2|pre_count\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101011111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(3),
	datab => \inst2|pre_count\(2),
	datac => \inst2|pre_count\(1),
	datad => \inst|inst11~0_combout\,
	combout => \inst1|seg[4]~10_combout\);

-- Location: LCCOMB_X20_Y1_N8
\inst1|seg[4]~12\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[4]~12_combout\ = ((\inst8|inst16~0_combout\ & \inst1|seg[4]~10_combout\)) # (!\inst1|seg~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|seg~11_combout\,
	datac => \inst8|inst16~0_combout\,
	datad => \inst1|seg[4]~10_combout\,
	combout => \inst1|seg[4]~12_combout\);

-- Location: LCCOMB_X24_Y1_N22
\inst1|seg[3]~14\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[3]~14_combout\ = (\inst8|inst16~0_combout\ & (((!\inst1|seg~0_combout\)))) # (!\inst8|inst16~0_combout\ & ((\inst1|seg[3]~13_combout\) # ((!\inst|inst11~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011101000111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|seg[3]~13_combout\,
	datab => \inst1|seg~0_combout\,
	datac => \inst8|inst16~0_combout\,
	datad => \inst|inst11~0_combout\,
	combout => \inst1|seg[3]~14_combout\);

-- Location: LCCOMB_X24_Y1_N16
\inst1|seg[3]~15\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[3]~15_combout\ = (\inst8|inst14~0_combout\ & (\inst8|inst16~0_combout\)) # (!\inst8|inst14~0_combout\ & (!\inst8|inst16~0_combout\ & (\inst2|pre_count\(3) & \inst1|seg~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst8|inst14~0_combout\,
	datab => \inst8|inst16~0_combout\,
	datac => \inst2|pre_count\(3),
	datad => \inst1|seg~2_combout\,
	combout => \inst1|seg[3]~15_combout\);

-- Location: LCCOMB_X20_Y1_N18
\inst1|seg[3]~16\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[3]~16_combout\ = ((\inst1|seg[3]~15_combout\ & ((\inst2|pre_count\(1)) # (!\inst8|inst16~0_combout\)))) # (!\inst1|seg[3]~14_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(1),
	datab => \inst1|seg[3]~14_combout\,
	datac => \inst8|inst16~0_combout\,
	datad => \inst1|seg[3]~15_combout\,
	combout => \inst1|seg[3]~16_combout\);

-- Location: LCCOMB_X23_Y1_N14
\inst8|inst14~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst8|inst14~0_combout\ = (!\SW~combout\(0) & (\inst2|pre_count\(2) & (\SW~combout\(2) $ (\SW~combout\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(2),
	datab => \SW~combout\(0),
	datac => \SW~combout\(1),
	datad => \inst2|pre_count\(2),
	combout => \inst8|inst14~0_combout\);

-- Location: LCCOMB_X23_Y1_N8
\inst1|seg[2]~17\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[2]~17_combout\ = (\inst2|pre_count\(3) & (\inst8|inst14~0_combout\ & ((\inst1|seg~2_combout\) # (!\inst8|inst16~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(3),
	datab => \inst8|inst16~0_combout\,
	datac => \inst8|inst14~0_combout\,
	datad => \inst1|seg~2_combout\,
	combout => \inst1|seg[2]~17_combout\);

-- Location: LCCOMB_X23_Y1_N10
\inst1|seg[2]~18\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[2]~18_combout\ = (\inst1|seg[2]~17_combout\) # ((!\inst1|seg~8_combout\ & (!\inst8|inst16~0_combout\ & \inst1|seg~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|seg~8_combout\,
	datab => \inst8|inst16~0_combout\,
	datac => \inst1|seg[2]~17_combout\,
	datad => \inst1|seg~2_combout\,
	combout => \inst1|seg[2]~18_combout\);

-- Location: LCCOMB_X24_Y1_N18
\inst1|seg~19\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg~19_combout\ = (\inst2|pre_count\(3) & (\inst1|seg~2_combout\ & \inst2|pre_count\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(3),
	datab => \inst1|seg~2_combout\,
	datac => \inst2|pre_count\(0),
	combout => \inst1|seg~19_combout\);

-- Location: LCCOMB_X24_Y1_N12
\inst1|seg[1]~20\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[1]~20_combout\ = (\inst8|inst14~0_combout\ & (!\inst8|inst16~0_combout\ & ((\inst2|pre_count\(3)) # (\inst2|pre_count\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst8|inst14~0_combout\,
	datab => \inst8|inst16~0_combout\,
	datac => \inst2|pre_count\(3),
	datad => \inst2|pre_count\(1),
	combout => \inst1|seg[1]~20_combout\);

-- Location: LCCOMB_X20_Y1_N4
\inst1|seg[1]~21\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[1]~21_combout\ = (\inst1|seg~19_combout\) # ((\inst1|seg[1]~20_combout\) # ((\inst8|inst16~0_combout\ & !\inst1|seg~11_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|seg~19_combout\,
	datab => \inst1|seg[1]~20_combout\,
	datac => \inst8|inst16~0_combout\,
	datad => \inst1|seg~11_combout\,
	combout => \inst1|seg[1]~21_combout\);

-- Location: LCCOMB_X23_Y1_N28
\inst1|seg[0]~22\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|seg[0]~22_combout\ = ((\inst1|seg~5_combout\) # ((\inst1|seg~19_combout\ & !\inst8|inst14~0_combout\))) # (!\inst1|seg[3]~14_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|seg~19_combout\,
	datab => \inst1|seg[3]~14_combout\,
	datac => \inst8|inst14~0_combout\,
	datad => \inst1|seg~5_combout\,
	combout => \inst1|seg[0]~22_combout\);

-- Location: LCCOMB_X23_Y1_N22
\inst|inst~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|inst~0_combout\ = (!\SW~combout\(1) & (\SW~combout\(0) $ (\SW~combout\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \SW~combout\(0),
	datac => \SW~combout\(1),
	datad => \SW~combout\(2),
	combout => \inst|inst~0_combout\);

-- Location: LCCOMB_X23_Y1_N24
\inst7|inst16\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|inst16~combout\ = (!\SW~combout\(1) & (\inst2|pre_count\(0) & (\SW~combout\(0) $ (\SW~combout\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(1),
	datab => \inst2|pre_count\(0),
	datac => \SW~combout\(0),
	datad => \SW~combout\(2),
	combout => \inst7|inst16~combout\);

-- Location: LCCOMB_X23_Y1_N2
\inst7|inst15\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|inst15~combout\ = (!\SW~combout\(1) & (\inst2|pre_count\(1) & (\SW~combout\(0) $ (\SW~combout\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(1),
	datab => \inst2|pre_count\(1),
	datac => \SW~combout\(0),
	datad => \SW~combout\(2),
	combout => \inst7|inst15~combout\);

-- Location: LCCOMB_X23_Y1_N20
\inst7|inst14\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|inst14~combout\ = (!\SW~combout\(1) & (\inst2|pre_count\(2) & (\SW~combout\(2) $ (\SW~combout\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(2),
	datab => \SW~combout\(0),
	datac => \SW~combout\(1),
	datad => \inst2|pre_count\(2),
	combout => \inst7|inst14~combout\);

-- Location: LCCOMB_X23_Y1_N6
\inst7|inst13\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|inst13~combout\ = (\inst2|pre_count\(3) & (!\SW~combout\(1) & (\SW~combout\(0) $ (\SW~combout\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|pre_count\(3),
	datab => \SW~combout\(0),
	datac => \SW~combout\(1),
	datad => \SW~combout\(2),
	combout => \inst7|inst13~combout\);

-- Location: PIN_AF12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0_DP~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \KEY~combout\(3),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0_DP);

-- Location: PIN_AD12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0_D[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|seg[6]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0_D(6));

-- Location: PIN_AD11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0_D[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|seg[5]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0_D(5));

-- Location: PIN_AF10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0_D[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|seg[4]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0_D(4));

-- Location: PIN_AD10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0_D[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|seg[3]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0_D(3));

-- Location: PIN_AH9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0_D[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|seg[2]~18_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0_D(2));

-- Location: PIN_AF9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0_D[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|seg[1]~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0_D(1));

-- Location: PIN_AE8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0_D[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|seg[0]~22_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0_D(0));

-- Location: PIN_W25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDG[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|inst11~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDG(1));

-- Location: PIN_W27,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDG[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|inst~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDG(0));

-- Location: PIN_AJ4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst7|inst16~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(3));

-- Location: PIN_AJ5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst7|inst15~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(2));

-- Location: PIN_AK5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst7|inst14~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(1));

-- Location: PIN_AJ6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\LEDR[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst7|inst13~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LEDR(0));
END structure;


